namespace Application.Features.Api.Crew.GetCrewList;

public sealed record Response(int Total, IReadOnlyList<CrewItem> List);

public sealed record CrewItem(
    int ID, string Name, string? Description, int? MinAmount,
    bool IsActive, int MemberCount, int SessionCount,
    int TotalDonationAmount, DateTime CreatedAt
);